Subject: Re: [spfbis] #47: domain-spec

From: Arthur Thisell <[email-masked]>
Date: Thu, 30 Aug 2012 06:16:35 -0700 (PDT)

>> First off, when drafting RFC4408, we were scolded by the DNS folks not to
>> use things like NXDOMAIN, SERVFAIL, etc. because those are labels for
>> particular libraries/APIs, rather than from RFCs.  Instead, we should use
>> RCODE. 
>
> Error codes _always_ had names. 

I wasn't very clear in my post, the above explanation was more for why there the "I-D mentions SERVFAIL only in Appendix C", when really, it is mentioned several times via RCODE 2 or set negation ("not RCODE 0 or 3"). 

I am neither care deeply about this nor am I an expert in this area.  When someone who has his name on several DNS related RFCs says that NXDOMAIN etc. are bind API names and that the SPF drafts should be changed to RCODEs, I'm not going to argue.  When you say that error codes always had names, I'm not going to argue.

As long as the IESG doesn't come back and tell us to change it, I'm happy.   Changing the draft to your suggestion would require a bit of editing.